commit:     44494d6cb5c5522394f03055d2109a6905daa4b9
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 13 21:55:34 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 21:56:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44494d6c

dev-python/scandir: version bump.

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 dev-python/scandir/Manifest              |  1 +
 dev-python/scandir/scandir-1.10.0.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/dev-python/scandir/Manifest b/dev-python/scandir/Manifest
index 2dbde674136..ac4ea3373b2 100644
--- a/dev-python/scandir/Manifest
+++ b/dev-python/scandir/Manifest
@@ -1,3 +1,4 @@
+DIST scandir-1.10.0.tar.gz 33311 BLAKE2B 
47576618c41a477ff7bab9daecf2e4719ed0c497a25fd68b4bacae073fc418f9fc51503812af726d1d124f07cccfb418ae09c196cf7ce283abf5d3bbc36b7e09
 SHA512 
42a570320018ffff2172ada67002334446c73c53813b36d63558d3854ded2fac0b266fcaf399cf9a735ceba110636b6901683fb26cde1e286ff476bc37e3d335
 DIST scandir-1.7.tar.gz 32812 BLAKE2B 
ed80775b5acca85d8829e2fb46df33fdda08d9dad6cc0e175d1270dc51b6eb4d381a5bd813e2dfd2072ac0af0d642d20ae818e569688ffbe5decaf4421f5e979
 SHA512 
47c6d9642938f374eb03228cdb6c8d77aa2af01a84b7efc518d223851562a615b616e92100bbeb38c4fa7455ef5f7ae4af8d406f5148d1a26a403708b4a27023
 DIST scandir-1.8.tar.gz 33065 BLAKE2B 
020789b939f347de49dba6eb35cf53733a34b283a4226d91746dca4f26b0fdcbe708cb48a795085c8887921bdad77c3fd054c15dcf83b1f4624ee81f1735f2da
 SHA512 
9c2c578cc736887e7d1ebe51f62569599e386deeac55363a84cd1abe4f73c60a43ae9849b3570ed99079016908ceab5e3755b014256d1cab535c1677255690f3
 DIST scandir-1.9.0.tar.gz 33315 BLAKE2B 
70c0cb0819f205b3cee37f471f84be2bddb565cd7341e5a28b9f1263f3176450cd5f2edacd63130e4f3f38940d0d3e1a01239f4729ac05e5cf5fd0005e712f8d
 SHA512 
41dacf42734ac9a53bb5bd5d783023236d68bb4883c853fb2ee34224206c577a4a277d4a8cf8f9be6fd5a8b59d9b4fe4568a0c815a62ec84ce99ded933961ec3

diff --git a/dev-python/scandir/scandir-1.10.0.ebuild 
b/dev-python/scandir/scandir-1.10.0.ebuild
new file mode 100644
index 00000000000..c61b7d21593
--- /dev/null
+++ b/dev-python/scandir/scandir-1.10.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A better directory iterator and faster os.walk()"
+HOMEPAGE="https://github.com/benhoyt/scandir";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-fbsd ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+       ${EPYTHON} test/run_tests.py -v || die "tests failed under ${EPYTHON}"
+}

Reply via email to